#!/bin/sh
#
# Script to read environment from /etc/environment && friends
#

file=${1:-/etc/environment}

exec 9<${file}

while read line <&9; do
  line=`echo ${line} | grep -v "^#"`
  case "${line-}" in
    ''|'#*') continue;;
  esac
  export ${line-}
done

exec 9<&-
